Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overweight Permit# 2021-02466, UID# 3153
App. Status: Expired

Valid: 10/07/2021 - 10/10/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2857 (10/06/2021)

Charge Cost Quantity Total
Non-Taxable
added 10/06/2021 1:59 PM

Compliant 145,001 - 150,000 lbs

$280.00 x 1 $280.00
added 10/06/2021 1:59 PM

Fee for over length permit

$30.00 x 1 $30.00
added 10/06/2021 1:51 PM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 10/06/2021 1:59 PM

Fee for over width permit

$30.00 x 1 $30.00
added 10/06/2021 1:51 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $400.00
Due$400.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantCory Golberg - 10/06/2021 1:51 PM
a535164c490fcca39dc4ef796bb378cc
cf379b21e0ce6c8b05837e509e184299
 
#1 Permit Issuing OfficialRachel Grimm - 10/06/2021 2:02 PM
df9ac5cdd9275a3364ed6fb5e3f6dab8
106222a6cb491a97af6386c5575b3935
 
Permit has been approved. All signatures have been obtained.